/// Types of view
enum CSViewFormat {
  /// web_element - 0
  /// This represents a "web element" inside a Webview that's embeded in the target app
  /// To this date, the Flutter Contentsquare SDK does not support this format
  webElement,

  /// mobile_view - 1
  mobileView,

  /// web_view_container - 2
  webViewContainer,
}

/// Extension to map the int representation of a [CSViewFormat]
extension CSViewFormatInt on CSViewFormat {
  /// Return the int representation for the [CSViewFormat]
  int toInt() {
    switch (this) {
      case CSViewFormat.webElement:
        return 0;
      case CSViewFormat.mobileView:
        return 1;
      case CSViewFormat.webViewContainer:
        return 2;
    }
  }
}
